[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [med-svn] r4096 - trunk/packages/vxl/trunk/debian

On Sat, Oct 03, 2009 at 01:33:37PM +0200, Daniel Leidert wrote:

> The package name is IMO still wrong. It should be libvxl1 and not
> libvxl1.13 according to the library packaging guide and a simple
> dpkg -S /usr/lib/lib*.so.?.?.?
> What's the reason to use libvxl1.13 (there are a few examples doing this
> like libvtk*.* - but I can't see the reason)?

Daniel, you did post a followup that ended with "should be correct
then"; however, the post was cryptic enough to me that I'm not sure
what you are approving.

In case others stil have lingering doubts: the reason why packages
like VTK, ITK, Boost, embed more than the major version is simple:
they follow the recommendation of Debian Policy 8.1 to embed the
SOVERSION into the library package name.  The only difference is that
the SOVERSION for these libraries includes the minor or patch-level
version number.


Attachment: signature.asc
Description: Digital signature

Reply to: